--- orig.cnijfilter-mg8100series-3.40-1-deb/install.sh	2010-08-19 00:21:03.000000000
+++ mod.cnijfilter-mg8100series-3.40-1-deb/install.sh	2015-07-11 05:42:40.753318751
@@ -136,6 +136,8 @@
 	p_local_modelname_cif=`echo $P_printer_device | sed -e "s/series$//"`
 	p_local_cif_command=cif$p_local_modelname_cif
 	p_local_cif_output=`$p_local_cif_command --supportnetwork 2>&1`
+#	↓別のネットワークからセットアップする等の場合、強制的に1を指定する
+#	p_local_cif_output=1
 
 	if [ "$p_local_cif_output" = "1" ]; then
 		p_local_ret=1
@@ -471,6 +473,13 @@
 		fi
 	else
 		p_local_srch_result=`${P_printer_sudo_command}cnijnetprn --installer --search auto`
+#		↓別のネットワークからセットアップする等の場合、検索結果を自分で事前に指定しておく
+#		sudo chmod 646 /usr/lib/bjlib/cnnet.ini
+#		sudo echo 'IPADDR_CACHE 00-1e-8f-3f-9b-76 192.168.1.13 UNICAST' >> \
+#		/usr/lib/bjlib/cnnet.ini
+#		sudo chmod 644 /usr/lib/bjlib/cnnet.ini
+#		p_local_srch_result='network cnijnet:/00-1E-8F-3F-9B-76 "Canon MP990 series"'
+#		p_local_srch_result="${p_local_srch_result}"' "IP:192.168.1.13"'
 	fi
 
 	#-----------------------------
@@ -840,6 +849,8 @@
 	p_local_SHOTMODELNAME=`echo $P_printer_device | sed -e "s/series$//"`
 	#Change to uppercase
 	P_DEF_ENTRYNAME=`echo $p_local_SHOTMODELNAME | tr a-z A-Z`
+#	↓つけたい登録名が事前に決まっている等の場合
+#	P_DEF_ENTRYNAME=MP990
 
 	retvalue=1
 	until [ $retvalue -eq 0 ]
@@ -1647,14 +1658,51 @@
 	fi
 		
 	## Depend-Package install process ##
-	$C_install_process $C_fpath_depend $C_main_module-$C_device
-	if [ $? -ne 0 ]; then
-		if [ $C_system = "deb" ]; then
-			C_FUNC_show_and_exec "$C_uninstall_command $C_pkgname_depend"
-		fi
-		C_FUNC_show_and_exec "$C_uninstall_command $C_pkgname_common"
-		exit
-	fi
+#
+# cnijfilter-mg8100series_3.40-1_????.debパッケージはlibtiff4パッケージを必要と
+# している為、libtiff5パッケージがインストールされた環境には依存性の問題で通常は
+# (強制的にインストールするオプションを付けない限り)パッケージ管理コマンドで
+# インストールすることはできない。
+# 仮に(パッケージ管理コマンドで)強制的にインストールしても、管理データベース上で、
+# 依存性に異常を抱えた状態となる為、他のパッケージの今後の管理に支障が出てしまう。
+#
+# どこかからlibtiff4パッケージを入手してlibtiff5パッケージの替りにインストールすれば
+# cnijfilter-mg8100series_3.40-1_????.debパッケージについては通常インストールすることが
+# 可能となるが、他のパッケージの今後の管理に支障が出てしまう。
+# 
+# 理想的な解決法は、cnijfilter-mg8100series_3.40-1_????.debパッケージを再構築して
+# libtiff4でなくlibtiff5パッケージを必要とするように修正すること。
+# (正真正銘libtiff5を必要とするように修正する方法と、postinstスクリプトを修正して
+# libtiff.so.4という名のシンボリックリンクを作成して誤魔化す方法がある。
+# 後者の方法でも当面動作に問題はないと思われる。)
+# 
+# だが、上記理想的な解決法は、(安直に実行しようとすると)数年前の開発環境を構築
+# しなければならず敷居が高い。
+# 
+# そこで次善の策として、パッケージ管理コマンドを使わず、つまりパッケージ管理データベース
+# に手をつけず、ファイルのみを直接ターゲット環境に配置する方法をとることにする。
+#
+# ↓下記のパッケージ管理コマンドでインストールする記述をコメントアウトする。
+#	$C_install_process $C_fpath_depend $C_main_module-$C_device
+#	if [ $? -ne 0 ]; then
+#		if [ $C_system = "deb" ]; then
+#			C_FUNC_show_and_exec "$C_uninstall_command $C_pkgname_depend"
+#		fi
+#		C_FUNC_show_and_exec "$C_uninstall_command $C_pkgname_common"
+#		exit
+#	fi
+# ファイルのみを直接ターゲット環境上に解凍する。
+sudo dpkg -x $C_fpath_depend /
+# libtiff5からlibtiff4へのシンボリックリンクを作成する。
+if [ $C_arch = "64" ]; then
+	(cd /usr/lib/x86_64-linux-gnu;sudo ln -sf libtiff.so.5.??* libtiff.so.4)
+else
+	(cd /usr/lib/i386-linux-gnu;sudo ln -sf libtiff.so.5.??* libtiff.so.4)
+fi
+# postinstスクリプト内の処理を代行する。 
+sudo mkdir -p /usr/share/cups/model
+sudo ln -sf /usr/share/ppd/canonmg8100.ppd /usr/share/cups/model/canonmg8100.ppd
+sudo ldconfig
 		
 	C_pkgconfig_fname=$C_main_module-$C_device-pkgconfig.sh
 	C_pkgconfig_dname=${C_pkgconfig_fname%%\.sh}
